Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4671)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4687)
@@ -27,4 +27,7 @@
 ! -----------------
 ! $Id$
+! Optimized code structure for treatment of inner wall and window heat flux
+!
+! 4671 2020-09-09 20:27:58Z pavelkrc
 ! Radiative transfer model RTM version 4.1
 ! - Implementation of downward facing USM and LSM surfaces
@@ -5173,5 +5176,5 @@
        wtend(nzb_wall) = ( 1.0_wp / surf%rho_c_wall(nzb_wall,m) )                     &
                           * ( surf%lambda_h(nzb_wall,m) * wall_mod(nzb_wall)          &
-                              * ( t_wall%val(nzb_wall+1,m) - t_wall%val(nzb_wall,m) )              &
+                              * ( t_wall%val(nzb_wall+1,m) - t_wall%val(nzb_wall,m) ) &
                               * surf%ddz_wall(nzb_wall+1,m)                           &
                               + surf%frac(m,ind_veg_wall)                             &
@@ -5183,121 +5186,106 @@
                                   + surf%frac(m,ind_pav_green) )                      &
                               * ( surf%lambda_h_green(nzt_wall,m)                     &
-                              * wall_mod(nzt_wall)                                             &
+                              * wall_mod(nzt_wall)                                    &
                               * surf%ddz_green(nzt_wall,m)                            &
                               + surf%lambda_h(nzb_wall,m)                             &
-                              * wall_mod(nzb_wall)                                             &
+                              * wall_mod(nzb_wall)                                    &
                               * surf%ddz_wall(nzb_wall,m) )                           &
                               / ( surf%ddz_green(nzt_wall,m)                          &
                               + surf%ddz_wall(nzb_wall,m) )                           &
-                              * ( t_wall%val(nzb_wall,m) - t_green%val(nzt_wall,m) )               &
+                              * ( t_wall%val(nzb_wall,m) - t_green%val(nzt_wall,m) )  &
                             ) * surf%ddz_wall_stag(nzb_wall,m)
-!
-!--    If indoor model is used inner wall layer is calculated by using iwghf (indoor wall ground heat flux)
-       IF ( indoor_model )  THEN
+
+!
+!--    If no indoor model is used, calculate the inner wall heat flux according to
+!--    heat diffusion (innermost wall temperature as boundary conditions)
+       IF ( .NOT. indoor_model ) THEN
+          surf%iwghf_eb(m) = - surf%lambda_h(nzt_wall-1,m) * ( t_wall%val(nzt_wall,m) &
+                             - t_wall%val(nzt_wall-1,m) ) * surf%ddz_wall(nzt_wall,m)
+          ENDIF
+
           DO  kw = nzb_wall+1, nzt_wall-1
-             wtend(kw) = ( 1.0_wp / surf%rho_c_wall(kw,m) )                           &
-                         * ( surf%lambda_h(kw,m) * wall_mod(kw)                       &
-                             * ( t_wall%val(kw+1,m) - t_wall%val(kw,m) )                           &
-                             * surf%ddz_wall(kw+1,m)                                  &
-                             - surf%lambda_h(kw-1,m) * wall_mod(kw-1)                 &
-                             * ( t_wall%val(kw,m) - t_wall%val(kw-1,m) )                           &
-                             * surf%ddz_wall(kw,m)                                    &
+             wtend(kw) = ( 1.0_wp / surf%rho_c_wall(kw,m) )                             &
+                         * ( surf%lambda_h(kw,m) * wall_mod(kw)                         &
+                             * ( t_wall%val(kw+1,m) - t_wall%val(kw,m) )                &
+                             * surf%ddz_wall(kw+1,m)                                    &
+                             - surf%lambda_h(kw-1,m) * wall_mod(kw-1)                   &
+                             * ( t_wall%val(kw,m) - t_wall%val(kw-1,m) )                &
+                             * surf%ddz_wall(kw,m)                                      &
                            ) * surf%ddz_wall_stag(kw,m)
           ENDDO
-          wtend(nzt_wall) = ( 1.0_wp / surf%rho_c_wall(nzt_wall,m) )                  &
-                            * ( -surf%lambda_h(nzt_wall-1,m) * wall_mod(nzt_wall-1)   &
-                                * ( t_wall%val(nzt_wall,m) - t_wall%val(nzt_wall-1,m) )            &
-                                * surf%ddz_wall(nzt_wall,m)                           &
-                                + surf%iwghf_eb(m)                                    &
+          wtend(nzt_wall) = ( 1.0_wp / surf%rho_c_wall(nzt_wall,m) )                    &
+                            * ( -surf%lambda_h(nzt_wall-1,m) * wall_mod(nzt_wall-1)     &
+                                * ( t_wall%val(nzt_wall,m) - t_wall%val(nzt_wall-1,m) ) &
+                                * surf%ddz_wall(nzt_wall,m)                             &
+                                + surf%iwghf_eb(m)                                      &
                               ) * surf%ddz_wall_stag(nzt_wall,m)
-       ELSE
-          DO  kw = nzb_wall+1, nzt_wall
-             wtend(kw) = ( 1.0_wp / surf%rho_c_wall(kw,m) )                           &
-                        * ( surf%lambda_h(kw,m)  * wall_mod(kw)                       &
-                            * ( t_wall%val(kw+1,m) - t_wall%val(kw,m) )                            &
-                            * surf%ddz_wall(kw+1,m)                                   &
-                            - surf%lambda_h(kw-1,m) * wall_mod(kw-1)                  &
-                            * ( t_wall%val(kw,m) - t_wall%val(kw-1,m) )                            &
-                            * surf%ddz_wall(kw,m)                                     &
-                          ) * surf%ddz_wall_stag(kw,m)
-          ENDDO
-       ENDIF
-
-       t_wall_p%val(nzb_wall:nzt_wall,m) = t_wall%val(nzb_wall:nzt_wall,m) + dt_3d                 &
-                                         * ( tsc(2) * wtend(nzb_wall:nzt_wall) + tsc(3)        &
+
+       t_wall_p%val(nzb_wall:nzt_wall,m) = t_wall%val(nzb_wall:nzt_wall,m) + dt_3d      &
+                                         * ( tsc(2) * wtend(nzb_wall:nzt_wall) + tsc(3) &
                                              * surf%tt_wall_m(nzb_wall:nzt_wall,m) )
 
-!
+
 !--    During spinup the tempeature inside window layers is not calculated to make larger timesteps possible
        IF ( .NOT. during_spinup )  THEN
-          win_absorp = -log( surf%transmissivity(m) ) /                                &
-                        surf%zw_window(nzt_wall,m)
+          win_absorp = - log( surf%transmissivity(m) ) / surf%zw_window(nzt_wall,m)
 !
 !--       Prognostic equation for ground/roof window temperature t_window takes absorption
 !--       of shortwave radiation into account
           wintend(:) = 0.0_wp
-          wintend(nzb_wall) = ( 1.0_wp / surf%rho_c_window(nzb_wall,m) )               &
-                                * ( surf%lambda_h_window(nzb_wall,m)                   &
-                                * ( t_window%val(nzb_wall+1,m) - t_window%val(nzb_wall,m) )         &
-                                * surf%ddz_window(nzb_wall+1,m)                        &
-                                + surf%wghf_eb_window(m)                               &
-                                + surf%rad_sw_in(m)                                    &
-                                * ( 1.0_wp - exp( -win_absorp                                   &
-                                    * surf%zw_window(nzb_wall,m) ) )                   &
+          wintend(nzb_wall) = ( 1.0_wp / surf%rho_c_window(nzb_wall,m) )                    &
+                                * ( surf%lambda_h_window(nzb_wall,m)                        &
+                                * ( t_window%val(nzb_wall+1,m) - t_window%val(nzb_wall,m) ) &
+                                * surf%ddz_window(nzb_wall+1,m)                             &
+                                + surf%wghf_eb_window(m)                                    &
+                                + surf%rad_sw_in(m)                                         &
+                                * ( 1.0_wp - exp( -win_absorp                               &
+                                    * surf%zw_window(nzb_wall,m) ) )                        &
                               ) * surf%ddz_window_stag(nzb_wall,m)
 
-          IF ( indoor_model ) THEN
-             DO  kw = nzb_wall+1, nzt_wall-1
-                wintend(kw) = ( 1.0_wp / surf%rho_c_window(kw,m) )                     &
-                              * ( surf%lambda_h_window(kw,m)                           &
-                                  * ( t_window%val(kw+1,m) - t_window%val(kw,m) )                   &
-                                  * surf%ddz_window(kw+1,m)                            &
-                                  - surf%lambda_h_window(kw-1,m)                       &
-                                 * ( t_window%val(kw,m) - t_window%val(kw-1,m) )                    &
-                                 * surf%ddz_window(kw,m)                               &
-                                 + surf%rad_sw_in(m)                                   &
-                                 * ( exp( -win_absorp * surf%zw_window(kw-1,m) )       &
-                                     - exp(-win_absorp * surf%zw_window(kw,m) )        &
-                                   )                                                            &
-                                 ) * surf%ddz_window_stag(kw,m)
-
-             ENDDO
-             wintend(nzt_wall) = ( 1.0_wp / surf%rho_c_window(nzt_wall,m) )            &
-                                 * ( -surf%lambda_h_window(nzt_wall-1,m)               &
-                                    * ( t_window%val(nzt_wall,m) - t_window%val(nzt_wall-1,m) )     &
-                                    * surf%ddz_window(nzt_wall,m)                      &
-                                    + surf%iwghf_eb_window(m)                          &
-                                    + surf%rad_sw_in(m)                                &
-                                    * ( exp( -win_absorp                                        &
-                                        * surf%zw_window(nzt_wall-1,m) )               &
-                                      - exp( -win_absorp                                        &
-                                        * surf%zw_window(nzt_wall,m) )                 &
-                                      )                                                         &
-                                    ) * surf%ddz_window_stag(nzt_wall,m)
-          ELSE
-             DO  kw = nzb_wall+1, nzt_wall
-                wintend(kw) = ( 1.0_wp / surf%rho_c_window(kw,m) )                     &
-                              * ( surf%lambda_h_window(kw,m)                           &
-                                  * ( t_window%val(kw+1,m) - t_window%val(kw,m) )                   &
-                                  * surf%ddz_window(kw+1,m)                            &
-                                  - surf%lambda_h_window(kw-1,m)                       &
-                                  * ( t_window%val(kw,m)                                          &
-                                  - t_window%val(kw-1,m) )                                        &
-                                  * surf%ddz_window(kw,m)                              &
-                                  + surf%rad_sw_in(m)                                  &
-                                   * ( exp( -win_absorp * surf%zw_window(kw-1,m) )     &
-                                       - exp(-win_absorp * surf%zw_window(kw,m) )      &
-                                     )                                                          &
-                                 ) * surf%ddz_window_stag(kw,m)
-
-             ENDDO
-          ENDIF
-
-          t_window_p%val(nzb_wall:nzt_wall,m) = t_window%val(nzb_wall:nzt_wall,m) + dt_3d           &
+!
+!--       If no indoor model is used, calculate the inner window heat flux according to
+!--       heat diffusion (innermost window temperature as boundary conditions
+          IF ( .NOT. indoor_model ) THEN
+             surf%iwghf_eb_window(m) = - surf%lambda_h_window(nzt_wall-1,m)            &
+                                       * ( t_window%val(nzt_wall,m)                    &
+                                       - t_window%val(nzt_wall-1,m) )                  &
+                                       * surf%ddz_window(nzt_wall,m)
+          ENDIF
+
+
+          DO  kw = nzb_wall+1, nzt_wall-1
+             wintend(kw) = ( 1.0_wp / surf%rho_c_window(kw,m) )                        &
+                           * ( surf%lambda_h_window(kw,m)                              &
+                           * ( t_window%val(kw+1,m) - t_window%val(kw,m) )             &
+                           * surf%ddz_window(kw+1,m)                                   &
+                           - surf%lambda_h_window(kw-1,m)                              &
+                           * ( t_window%val(kw,m) - t_window%val(kw-1,m) )             &
+                           * surf%ddz_window(kw,m)                                     &
+                           + surf%rad_sw_in(m)                                         &
+                           * ( exp( -win_absorp * surf%zw_window(kw-1,m) )             &
+                           - exp(-win_absorp * surf%zw_window(kw,m) )                  &
+                             )                                                         &
+                             ) * surf%ddz_window_stag(kw,m)
+
+          ENDDO
+
+          wintend(nzt_wall) = ( 1.0_wp / surf%rho_c_window(nzt_wall,m) )                     &
+                                 * ( -surf%lambda_h_window(nzt_wall-1,m)                     &
+                                 * ( t_window%val(nzt_wall,m) - t_window%val(nzt_wall-1,m) ) &
+                                 * surf%ddz_window(nzt_wall,m)                               &
+                                 + surf%iwghf_eb_window(m)                                   &
+                                 + surf%rad_sw_in(m)                                         &
+                                 * ( exp( -win_absorp                                        &
+                                 * surf%zw_window(nzt_wall-1,m) )                            &
+                                 - exp( -win_absorp                                          &
+                                 * surf%zw_window(nzt_wall,m) )                              &
+                                   )                                                         &
+                                   ) * surf%ddz_window_stag(nzt_wall,m)
+
+          t_window_p%val(nzb_wall:nzt_wall,m) = t_window%val(nzb_wall:nzt_wall,m) + dt_3d       &
                                               * ( tsc(2) * wintend(nzb_wall:nzt_wall) + tsc(3)  &
                                               * surf%tt_window_m(nzb_wall:nzt_wall,m) )
 
        ENDIF
-
 !
 !--    Calculate t_wall tendencies for the next Runge-Kutta step
@@ -7623,141 +7611,140 @@
 
     building_pars(:,2) = (/                                                                        &
-          0.73_wp,        &  !< parameter 0   - wall fraction above ground floor level
-          0.27_wp,        &  !< parameter 1   - window fraction above ground floor level
-          0.0_wp,         &  !< parameter 2   - green fraction above ground floor level
-          0.0_wp,         &  !< parameter 3   - green fraction roof above ground floor level
-          1.5_wp,         &  !< parameter 4   - LAI roof
-          1.5_wp,         &  !< parameter 5   - LAI on wall above ground floor level
-          2000000.0_wp,   &  !< parameter 6   - heat capacity 1st/2nd wall layer above ground floor level
-          103000.0_wp,    &  !< parameter 7   - heat capacity 3rd wall layer above ground floor level
-          900000.0_wp,    &  !< parameter 8   - heat capacity 4th wall layer above ground floor level
-          0.35_wp,        &  !< parameter 9   - thermal conductivity 1st/2nd wall layer above ground floor level
-          0.38_wp,        &  !< parameter 10  - thermal conductivity 3rd wall layer above ground floor level
-          0.04_wp,        &  !< parameter 11  - thermal conductivity 4th wall layer above ground floor level
-          299.15_wp,      &  !< parameter 12  - indoor target summer temperature
-          293.15_wp,      &  !< parameter 13  - indoor target winter temperature
-          0.92_wp,        &  !< parameter 14  - wall emissivity above ground floor level
-          0.86_wp,        &  !< parameter 15  - green emissivity above ground floor level
-          0.87_wp,        &  !< parameter 16  - window emissivity above ground floor level
-          0.7_wp,         &  !< parameter 17  - window transmissivity above ground floor level
-          0.001_wp,       &  !< parameter 18  - z0 roughness above ground floor level
-          0.0001_wp,      &  !< parameter 19  - z0h/z0g roughness heat/humidity above ground floor level
-          4.0_wp,         &  !< parameter 20  - ground floor level height
-          0.78_wp,        &  !< parameter 21  - wall fraction ground floor level
-          0.22_wp,        &  !< parameter 22  - window fraction ground floor level
-          0.0_wp,         &  !< parameter 23  - green fraction ground floor level
-          0.0_wp,         &  !< parameter 24  - green fraction roof ground floor level
-          1.5_wp,         &  !< parameter 25  - LAI on wall ground floor level
-          2000000.0_wp,   &  !< parameter 26  - heat capacity 1st/2nd wall layer ground floor level
-          103000.0_wp,    &  !< parameter 27  - heat capacity 3rd wall layer ground floor level
-          900000.0_wp,    &  !< parameter 28  - heat capacity 4th wall layer ground floor level
-          0.35_wp,        &  !< parameter 29  - thermal conductivity 1st/2nd wall layer ground floor level
-          0.38_wp,        &  !< parameter 30  - thermal conductivity 3rd wall layer ground floor level
-          0.04_wp,        &  !< parameter 31  - thermal conductivity 4th wall layer ground floor level
-          0.92_wp,        &  !< parameter 32  - wall emissivity ground floor level
-          0.11_wp,        &  !< parameter 33  - window emissivity ground floor level
-          0.86_wp,        &  !< parameter 34  - green emissivity ground floor level
-          0.7_wp,         &  !< parameter 35  - window transmissivity ground floor level
-          0.001_wp,       &  !< parameter 36  - z0 roughness ground floor level
-          0.0001_wp,      &  !< parameter 37  - z0h/z0q roughness heat/humidity
-          27.0_wp,        &  !< parameter 38  - wall albedo above ground floor level
-          5.0_wp,         &  !< parameter 39  - green albedo above ground floor level
-          27.0_wp,        &  !< parameter 40  - window albedo above ground floor level
-          0.005_wp,       &  !< parameter 41  - 1st wall layer thickness above ground floor level
-          0.01_wp,        &  !< parameter 42  - 2nd wall layer thickness above ground floor level
-          0.31_wp,        &  !< parameter 43  - 3rd wall layer thickness above ground floor level
-          0.43_wp,        &  !< parameter 44  - 4th wall layer thickness above ground floor level
-          20000.0_wp,     &  !< parameter 45  - heat capacity wall surface
-          23.0_wp,        &  !< parameter 46  - thermal conductivity of wall surface
-          20000.0_wp,     &  !< parameter 47  - heat capacity of window surface
-          20000.0_wp,     &  !< parameter 48  - heat capacity of green surface
-          23.0_wp,        &  !< parameter 49  - thermal conductivity of window surface
-          10.0_wp,        &  !< parameter 50  - thermal conductivty of green surface
-          1.0_wp,         &  !< parameter 51  - wall fraction ground plate
-          0.005_wp,       &  !< parameter 52  - 1st wall layer thickness ground plate
-          0.01_wp,        &  !< parameter 53  - 2nd wall layer thickness ground plate
-          0.31_wp,        &  !< parameter 54  - 3rd wall layer thickness ground plate
-          0.42_wp,        &  !< parameter 55  - 4th wall layer thickness ground plate
-          2000000.0_wp,   &  !< parameter 56  - heat capacity 1st/2nd wall layer ground plate
-          103000.0_wp,    &  !< parameter 57  - heat capacity 3rd wall layer ground plate
-          900000.0_wp,    &  !< parameter 58  - heat capacity 4th wall layer ground plate
-          0.35_wp,        &  !< parameter 59  - thermal conductivity 1st/2nd wall layer ground plate
-          0.38_wp,        &  !< parameter 60  - thermal conductivity 3rd wall layer ground plate
-          0.04_wp,        &  !< parameter 61  - thermal conductivity 4th wall layer ground plate
-          0.005_wp,       &  !< parameter 62  - 1st wall layer thickness ground floor level
-          0.01_wp,        &  !< parameter 63  - 2nd wall layer thickness ground floor level
-          0.31_wp,        &  !< parameter 64  - 3rd wall layer thickness ground floor level
-          0.43_wp,        &  !< parameter 65  - 4th wall layer thickness ground floor level
-          27.0_wp,        &  !< parameter 66  - wall albedo ground floor level
-          0.003_wp,       &  !< parameter 67  - 1st window layer thickness ground floor level
-          0.006_wp,       &  !< parameter 68  - 2nd window layer thickness ground floor level
-          0.012_wp,       &  !< parameter 69  - 3rd window layer thickness ground floor level
-          0.018_wp,       &  !< parameter 70  - 4th window layer thickness ground floor level
-          1736000.0_wp,   &  !< parameter 71  - heat capacity 1st/2nd window layer ground floor level
-          1736000.0_wp,   &  !< parameter 72  - heat capacity 3rd window layer ground floor level
-          1736000.0_wp,   &  !< parameter 73  - heat capacity 4th window layer ground floor level
-          0.11_wp,        &  !< parameter 74  - thermal conductivity 1st/2nd window layer ground floor level
-          0.11_wp,        &  !< parameter 75  - thermal conductivity 3rd window layer ground floor level
-          0.11_wp,        &  !< parameter 76  - thermal conductivity 4th window layer ground floor level
-          27.0_wp,        &  !< parameter 77  - window albedo ground floor level
-          5.0_wp,         &  !< parameter 78  - green albedo ground floor level
-          0.003_wp,       &  !< parameter 79  - 1st window layer thickness above ground floor level
-          0.006_wp,       &  !< parameter 80  - 2nd thickness window layer above ground floor level
-          0.012_wp,       &  !< parameter 81  - 3rd window layer thickness above ground floor level
-          0.018_wp,       &  !< parameter 82  - 4th window layer thickness above ground floor level
-          1736000.0_wp,   &  !< parameter 83  - heat capacity 1st/2nd window layer above ground floor level
-          1736000.0_wp,   &  !< parameter 84  - heat capacity 3rd window layer above ground floor level
-          1736000.0_wp,   &  !< parameter 85  - heat capacity 4th window layer above ground floor level
-          0.11_wp,        &  !< parameter 86  - thermal conductivity 1st/2nd window layer above ground floor level
-          0.11_wp,        &  !< parameter 87  - thermal conductivity 3rd window layer above ground floor level
-          0.11_wp,        &  !< parameter 88  - thermal conductivity 4th window layer above ground floor level
-          1.0_wp,         &  !< parameter 89  - wall fraction roof
-          0.005_wp,       &  !< parameter 90  - 1st wall layer thickness roof
-          0.01_wp,        &  !< parameter 91  - 2nd wall layer thickness roof
-          0.5_wp,         &  !< parameter 92  - 3rd wall layer thickness roof
-          0.79_wp,        &  !< parameter 93  - 4th wall layer thickness roof
-          2000000.0_wp,   &  !< parameter 94  - heat capacity 1st/2nd wall layer roof
-          103000.0_wp,    &  !< parameter 95  - heat capacity 3rd wall layer roof
-          900000.0_wp,    &  !< parameter 96  - heat capacity 4th wall layer roof
-          0.35_wp,        &  !< parameter 97  - thermal conductivity 1st/2nd wall layer roof
-          0.38_wp,        &  !< parameter 98  - thermal conductivity 3rd wall layer roof
-          0.04_wp,        &  !< parameter 99  - thermal conductivity 4th wall layer roof
-          0.93_wp,        &  !< parameter 100 - wall emissivity roof
-          27.0_wp,        &  !< parameter 101 - wall albedo roof
-          0.0_wp,         &  !< parameter 102 - window fraction roof
-          0.003_wp,       &  !< parameter 103 - window 1st layer thickness roof
-          0.006_wp,       &  !< parameter 104 - window 2nd layer thickness roof
-          0.012_wp,       &  !< parameter 105 - window 3rd layer thickness roof
-          0.018_wp,       &  !< parameter 106 - window 4th layer thickness roof
-          1736000.0_wp,   &  !< parameter 107 - heat capacity 1st/2nd window layer roof
-          1736000.0_wp,   &  !< parameter 108 - heat capacity 3rd window layer roof
-          1736000.0_wp,   &  !< parameter 109 - heat capacity 4th window layer roof
-          0.11_wp,        &  !< parameter 110 - thermal conductivity 1st/2nd window layer roof
-          0.11_wp,        &  !< parameter 111 - thermal conductivity 3rd window layer roof
-          0.11_wp,        &  !< parameter 112 - thermal conductivity 4th window layer roof
-          0.87_wp,        &  !< parameter 113 - window emissivity roof
-          0.7_wp,         &  !< parameter 114 - window transmissivity roof
-          27.0_wp,        &  !< parameter 115 - window albedo roof
-          0.86_wp,        &  !< parameter 116 - green emissivity roof
-          5.0_wp,         &  !< parameter 117 - green albedo roof
-          0.0_wp,         &  !< parameter 118 - green type roof
-          0.8_wp,         &  !< parameter 119 - shading factor
-          0.6_wp,         &  !< parameter 120 - g-value windows
-          3.0_wp,         &  !< parameter 121 - u-value windows
-          0.5_wp,         &  !< parameter 122 - basic airflow without occupancy of the room for - summer 0.5_wp for winter 0.1
-          2.0_wp,         &  !< parameter 123 - additional airflow dependent on occupancy of the room for - summer 2.0_wp
-                             !< for winter 0.5
-          0.0_wp,         &  !< parameter 124 - heat recovery efficiency
-          2.5_wp,         &  !< parameter 125 - dynamic parameter specific effective surface
-          165000.0_wp,    &  !< parameter 126 - dynamic parameter innner heatstorage
-          4.5_wp,         &  !< parameter 127 - ratio internal surface/floor area
-          100.0_wp,       &  !< parameter 128 - maximal heating capacity
-          0.0_wp,         &  !< parameter 129 - maximal cooling capacity
-          2.0_wp,         &  !< parameter 130 - additional internal heat gains dependent on occupancy of the room
-          6.0_wp,         &  !< parameter 131 - basic internal heat gains without occupancy of the room
-          3.0_wp,         &  !< parameter 132 - storey height
-          0.2_wp,         &  !< parameter 133 - ceiling construction height
-          0.1_wp,         &  !< parameter 134 - anthropogenic heat output for heating
-          1.333_wp        &  !< parameter 135 - anthropogenic heat output for cooling
+        0.73_wp,         &  !< parameter 0   - wall fraction above ground floor level
+       0.27_wp,         &  !< parameter 1   - window fraction above ground floor level
+       0.0_wp,         &  !< parameter 2   - green fraction above ground floor level
+       0.0_wp,         &  !< parameter 3   - green fraction roof above ground floor level
+       1.5_wp,         &  !< parameter 4   - LAI roof
+       1.5_wp,         &  !< parameter 5   - LAI on wall above ground floor level
+       2000000.0_wp,   &  !< parameter 6   - heat capacity 1st/2nd wall layer above ground floor level
+       103000.0_wp,   &  !< parameter 7   - heat capacity 3rd wall layer above ground floor level
+       900000.0_wp,   &  !< parameter 8   - heat capacity 4th wall layer above ground floor level
+       0.35_wp,        &  !< parameter 9   - thermal conductivity 1st/2nd wall layer above ground floor level
+       0.38_wp,         &  !< parameter 10  - thermal conductivity 3rd wall layer above ground floor level
+       0.04_wp,         &  !< parameter 11  - thermal conductivity 4th wall layer above ground floor level
+       299.15_wp,      &  !< parameter 12  - indoor target summer temperature
+       293.15_wp,      &  !< parameter 13  - indoor target winter temperature
+       0.92_wp,        &  !< parameter 14  - wall emissivity above ground floor level
+       0.86_wp,        &  !< parameter 15  - green emissivity above ground floor level
+       0.87_wp,        &  !< parameter 16  - window emissivity above ground floor level
+       0.7_wp,        &  !< parameter 17  - window transmissivity above ground floor level
+       0.001_wp,       &  !< parameter 18  - z0 roughness above ground floor level
+       0.0001_wp,      &  !< parameter 19  - z0h/z0g roughness heat/humidity above ground floor level
+       4.0_wp,         &  !< parameter 20  - ground floor level height
+       0.78_wp,        &  !< parameter 21  - wall fraction ground floor level
+       0.22_wp,        &  !< parameter 22  - window fraction ground floor level
+       0.0_wp,         &  !< parameter 23  - green fraction ground floor level
+       0.0_wp,         &  !< parameter 24  - green fraction roof ground floor level
+       1.5_wp,         &  !< parameter 25  - LAI on wall ground floor level
+       2000000.0_wp,   &  !< parameter 26  - heat capacity 1st/2nd wall layer ground floor level
+       1030000.0_wp,   &  !< parameter 27  - heat capacity 3rd wall layer ground floor level
+       900000.0_wp,   &  !< parameter 28  - heat capacity 4th wall layer ground floor level
+       0.35_wp,        &  !< parameter 29  - thermal conductivity 1st/2nd wall layer ground floor level
+       0.38_wp,         &  !< parameter 30  - thermal conductivity 3rd wall layer ground floor level
+       0.04_wp,         &  !< parameter 31  - thermal conductivity 4th wall layer ground floor level
+       0.92_wp,        &  !< parameter 32  - wall emissivity ground floor level
+       0.11_wp,        &  !< parameter 33  - window emissivity ground floor level
+       0.86_wp,        &  !< parameter 34  - green emissivity ground floor level
+       0.7_wp,        &  !< parameter 35  - window transmissivity ground floor level
+       0.001_wp,       &  !< parameter 36  - z0 roughness ground floor level
+       0.0001_wp,      &  !< parameter 37  - z0h/z0q roughness heat/humidity
+       27.0_wp,        &  !< parameter 38  - wall albedo above ground floor level
+       5.0_wp,         &  !< parameter 39  - green albedo above ground floor level
+       27.0_wp,        &  !< parameter 40  - window albedo above ground floor level
+       0.005_wp,       &  !< parameter 41  - 1st wall layer thickness above ground floor level
+       0.01_wp,        &  !< parameter 42  - 2nd wall layer thickness above ground floor level
+       0.31_wp,        &  !< parameter 43  - 3rd wall layer thickness above ground floor level
+       0.43_wp,        &  !< parameter 44  - 4th wall layer thickness above ground floor level
+       20000.0_wp,     &  !< parameter 45  - heat capacity wall surface
+       23.0_wp,        &  !< parameter 46  - thermal conductivity of wall surface
+       20000.0_wp,     &  !< parameter 47  - heat capacity of window surface
+       20000.0_wp,     &  !< parameter 48  - heat capacity of green surface
+       23.0_wp,        &  !< parameter 49  - thermal conductivity of window surface
+       10.0_wp,        &  !< parameter 50  - thermal conductivty of green surface
+       1.0_wp,         &  !< parameter 51  - wall fraction ground plate
+       0.005_wp,       &  !< parameter 52  - 1st wall layer thickness ground plate
+       0.01_wp,        &  !< parameter 53  - 2nd wall layer thickness ground plate
+       0.31_wp,        &  !< parameter 54  - 3rd wall layer thickness ground plate
+       0.42_wp,        &  !< parameter 55  - 4th wall layer thickness ground plate
+       2000000.0_wp,   &  !< parameter 56  - heat capacity 1st/2nd wall layer ground plate
+       1030000.0_wp,   &  !< parameter 57  - heat capacity 3rd wall layer ground plate
+       900000.0_wp,   &  !< parameter 58  - heat capacity 4th wall layer ground plate
+       0.35_wp,        &  !< parameter 59  - thermal conductivity 1st/2nd wall layer ground plate
+       0.38_wp,         &  !< parameter 60  - thermal conductivity 3rd wall layer ground plate
+       0.04_wp,         &  !< parameter 61  - thermal conductivity 4th wall layer ground plate
+       0.005_wp,       &  !< parameter 62  - 1st wall layer thickness ground floor level
+       0.01_wp,        &  !< parameter 63  - 2nd wall layer thickness ground floor level
+       0.31_wp,        &  !< parameter 64  - 3rd wall layer thickness ground floor level
+       0.43_wp,        &  !< parameter 65  - 4th wall layer thickness ground floor level
+       27.0_wp,        &  !< parameter 66  - wall albedo ground floor level
+       0.003_wp,       &  !< parameter 67  - 1st window layer thickness ground floor level
+       0.006_wp,       &  !< parameter 68  - 2nd window layer thickness ground floor level
+       0.012_wp,       &  !< parameter 69  - 3rd window layer thickness ground floor level
+       0.018_wp,       &  !< parameter 70  - 4th window layer thickness ground floor level
+       1736000.0_wp,   &  !< parameter 71  - heat capacity 1st/2nd window layer ground floor level
+       1736000.0_wp,   &  !< parameter 72  - heat capacity 3rd window layer ground floor level
+       1736000.0_wp,   &  !< parameter 73  - heat capacity 4th window layer ground floor level
+       0.11_wp,        &  !< parameter 74  - thermal conductivity 1st/2nd window layer ground floor level
+       0.11_wp,        &  !< parameter 75  - thermal conductivity 3rd window layer ground floor level
+       0.11_wp,        &  !< parameter 76  - thermal conductivity 4th window layer ground floor level
+       27.0_wp,        &  !< parameter 77  - window albedo ground floor level
+       5.0_wp,         &  !< parameter 78  - green albedo ground floor level
+       0.003_wp,       &  !< parameter 79  - 1st window layer thickness above ground floor level
+       0.006_wp,       &  !< parameter 80  - 2nd thickness window layer above ground floor level
+       0.012_wp,       &  !< parameter 81  - 3rd window layer thickness above ground floor level
+       0.018_wp,       &  !< parameter 82  - 4th window layer thickness above ground floor level
+       1736000.0_wp,   &  !< parameter 83  - heat capacity 1st/2nd window layer above ground floor level
+       1736000.0_wp,   &  !< parameter 84  - heat capacity 3rd window layer above ground floor level
+       1736000.0_wp,   &  !< parameter 85  - heat capacity 4th window layer above ground floor level
+       0.11_wp,        &  !< parameter 86  - thermal conductivity 1st/2nd window layer above ground floor level
+       0.11_wp,        &  !< parameter 87  - thermal conductivity 3rd window layer above ground floor level
+       0.11_wp,        &  !< parameter 88  - thermal conductivity 4th window layer above ground floor level
+       1.0_wp,         &  !< parameter 89  - wall fraction roof
+       0.005_wp,       &  !< parameter 90  - 1st wall layer thickness roof
+       0.01_wp,        &  !< parameter 91  - 2nd wall layer thickness roof
+       0.5_wp,        &  !< parameter 92  - 3rd wall layer thickness roof
+       0.79_wp,        &  !< parameter 93  - 4th wall layer thickness roof
+       2000000.0_wp,   &  !< parameter 94  - heat capacity 1st/2nd wall layer roof
+       1030000.0_wp,   &  !< parameter 95  - heat capacity 3rd wall layer roof
+       900000.0_wp,   &  !< parameter 96  - heat capacity 4th wall layer roof
+       0.35_wp,        &  !< parameter 97  - thermal conductivity 1st/2nd wall layer roof
+       0.38_wp,         &  !< parameter 98  - thermal conductivity 3rd wall layer roof
+       0.04_wp,         &  !< parameter 99  - thermal conductivity 4th wall layer roof
+       0.93_wp,        &  !< parameter 100 - wall emissivity roof
+       27.0_wp,        &  !< parameter 101 - wall albedo roof
+       0.0_wp,         &  !< parameter 102 - window fraction roof
+       0.003_wp,       &  !< parameter 103 - window 1st layer thickness roof
+       0.006_wp,       &  !< parameter 104 - window 2nd layer thickness roof
+       0.012_wp,       &  !< parameter 105 - window 3rd layer thickness roof
+       0.018_wp,       &  !< parameter 106 - window 4th layer thickness roof
+       1736000.0_wp,   &  !< parameter 107 - heat capacity 1st/2nd window layer roof
+       1736000.0_wp,   &  !< parameter 108 - heat capacity 3rd window layer roof
+       1736000.0_wp,   &  !< parameter 109 - heat capacity 4th window layer roof
+       0.11_wp,        &  !< parameter 110 - thermal conductivity 1st/2nd window layer roof
+       0.11_wp,        &  !< parameter 111 - thermal conductivity 3rd window layer roof
+       0.11_wp,        &  !< parameter 112 - thermal conductivity 4th window layer roof
+       0.87_wp,        &  !< parameter 113 - window emissivity roof
+       0.7_wp,        &  !< parameter 114 - window transmissivity roof
+       27.0_wp,        &  !< parameter 115 - window albedo roof
+       0.86_wp,        &  !< parameter 116 - green emissivity roof
+       5.0_wp,         &  !< parameter 117 - green albedo roof
+       0.0_wp,         &  !< parameter 118 - green type roof
+       0.8_wp,         &  !< parameter 119 - shading factor
+       0.6_wp,        &  !< parameter 120 - g-value windows
+       3.0_wp,         &  !< parameter 121 - u-value windows
+       0.5_wp,         &  !< parameter 122 - basic airflow without occupancy of the room for - summer 0.5_wp, winter 0.1
+       2.0_wp,         &  !< parameter 123 - additional airflow dependent on occupancy of the room for - summer 2.0_wp, winter 0.5
+       0.0_wp,         &  !< parameter 124 - heat recovery efficiency
+       2.5_wp,         &  !< parameter 125 - dynamic parameter specific effective surface
+       370000.0_wp,    &  !< parameter 126 - dynamic parameter innner heat storage
+       4.5_wp,         &  !< parameter 127 - ratio internal surface/floor area
+       100.0_wp,       &  !< parameter 128 - maximal heating capacity
+       0.0_wp,         &  !< parameter 129 - maximal cooling capacity
+       2.0_wp,         &  !< parameter 130 - additional internal heat gains dependent on occupancy of the room
+       6.0_wp,         &  !< parameter 131 - basic internal heat gains without occupancy of the room
+       3.0_wp,         &  !< parameter 132 - storey height
+       0.2_wp,         &  !< parameter 133 - ceiling construction height
+       0.1_wp,         &  !< parameter 134 - anthropogenic heat output for heating
+       1.333_wp        &  !< parameter 135 - anthropogenic heat output for cooling
                            /)
 
